In this section
← Preparation
- Boost a preparation
- Unboost a preparation
- Create a new media for a preparation
- Update a media for a preparation
- Delete a media for a preparation
- Retrieve preparations linked from a preparation
- Publish a preparation
- Unpublish a preparation
- Retrieve the user's preparations
- Create a new preparation
- Retrieve the specified preparation by its id
- Update an existing preparation
- Delete a preparation
On this page
Create a new preparation
POST /api/v1/preparationsCreate a preparation session linked to a recipe. Requires a recipe_id, name, and prepared_at date. The serving count must be a positive integer.
Required Scopes
write
Request Body
Content-Type: application/json
Schema: object
| Field | Type | Required | Description |
|---|---|---|---|
preparation |
preparation_create_input |
no |
Responses
201
preparation created
Schema: preparation_output
preparation_output
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | |
name |
string | yes | |
description |
string | yes | |
description_html |
string | yes | |
locale |
string | yes | |
status |
string | yes | |
serving |
integer | yes | |
prepared_at |
string | yes | |
recipe_id |
integer | no | |
serving_type |
string | no | |
likes_count |
integer | yes | |
boosts_count |
integer | yes | |
liked |
boolean | yes | |
boosted |
boolean | yes | |
collection_ids |
array[integer] | yes | |
created_at |
string | yes | |
published_at |
string | yes | |
account |
account_output |
yes | |
ingredients |
array[ingredient_output] |
yes | |
steps |
array[] | yes | |
media |
array[medium_output] |
yes |
422
invalid request
Schema: errors
errors
| Field | Type | Required | Description |
|---|---|---|---|
errors |
object | yes |
